Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.sts
Class IdentityTokenIssuer

    java.lang.Object
      org.wso2.solutions.identity.sts.IdentityTokenIssuer

All Implemented Interfaces:
  org.apache.rahas.TokenIssuer

    public class IdentityTokenIssuer

extends java.lang.Object
implements org.apache.rahas.TokenIssuer

This is the main token issuer implementation identity provider. Two types of credential mechanisms are supported:

- Username and Password Credential
- Self-issued Token Credential

Supported list of claims can be configured and the values of those supported claims will be obtained from the user store setup to work with the identity provider.

Field Summary
`static java.lang.String` | `ISSUER_SELF`

Constructor Summary
`IdentityTokenIssuer()`

Method Summary
`java.lang.String` | `getResponseAction(org.apache.rahas.RahasData data)`
`org.apache.axiom.soap.SOAPEnvelope` | `issue(org.apache.rahas.RahasData data)`
`void` | `setConfigurationElement(org.apache.axiom.om.OMElement configElement)`
`void` | `setConfigurationFile(java.lang.String configFile)`
`void` | `setConfigurationParamName(java.lang.String configParamName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISSUER_SELF

    public static final java.lang.String ISSUER_SELF

See Also:
  Constant Field Values

Constructor Detail

### IdentityTokenIssuer

    public IdentityTokenIssuer()

Method Detail

### getResponseAction

    public java.lang.String getResponseAction(org.apache.rahas.RahasData data)
                                       throws org.apache.rahas.TrustException

  Specified by:
    `getResponseAction` in interface `org.apache.rahas.TokenIssuer`
  Throws:
    `org.apache.rahas.TrustException`

### issue

    public org.apache.axiom.soap.SOAPEnvelope issue(org.apache.rahas.RahasData data)
                                             throws org.apache.rahas.TrustException

  Specified by:
    `issue` in interface `org.apache.rahas.TokenIssuer`
  Throws:
    `org.apache.rahas.TrustException`

### setConfigurationElement

    public void setConfigurationElement(org.apache.axiom.om.OMElement configElement)

  Specified by:
    `setConfigurationElement` in interface `org.apache.rahas.TokenIssuer`

### setConfigurationFile

    public void setConfigurationFile(java.lang.String configFile)

  Specified by:
    `setConfigurationFile` in interface `org.apache.rahas.TokenIssuer`

### setConfigurationParamName

    public void setConfigurationParamName(java.lang.String configParamName)

  Specified by:
    `setConfigurationParamName` in interface `org.apache.rahas.TokenIssuer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD